﻿using System.Collections.ObjectModel;
using na2010v1.Model;

namespace na2010v1.Views.xamWebGrid.FilteringData
{
    public class FilteringDataViewModel : ViewModelBase
    {
        private ObservableCollection<InventoryItem> _items =
            new ObservableCollection<InventoryItem>();

        public ObservableCollection<InventoryItem> Items
        {
            get
            {
                if (this._items.Count == 0)
                {
                    this._items.Add(new InventoryItem()
                    {
                        Id = 1,
                        Title = "Prarie Dog Pancakes",
                        UnitPrice = 1.75M,
                        UnitsInStock = 10,
                        UnitsOnOrder = 4
                    });

                    this._items.Add(new InventoryItem()
                    {
                        Id = 2,
                        Title = "Gopher Green Wraps",
                        UnitPrice = 1.10M,
                        UnitsInStock = 51,
                        UnitsOnOrder = 29
                    });

                    this._items.Add(new InventoryItem()
                    {
                        Id = 3,
                        Title = "Platypus Popsicles",
                        UnitPrice = 0.75M,
                        UnitsInStock = 12,
                        UnitsOnOrder = 4
                    });

                    this._items.Add(new InventoryItem()
                    {
                        Id = 4,
                        Title = "Porcupine Popcorn Balls",
                        UnitPrice = 2.23M,
                        UnitsInStock = 39,
                        UnitsOnOrder = 0
                    });
                    this.RaisePropertyChangedEvent("Items");
                }
                return this._items;
            }
        }
    }
}
