﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace na2010v1.Web.Model
{
    [DataContract]
    public class DataPage<T>
    {
        [DataMember]        
        public IList<T> DataItems { get; set; }
        [DataMember]        
        public int StartIndex { get; set; }
        [DataMember]
        public int TotalItemsCount { get; set; }

        public DataPage(int index, IList<T> items, int totalItemsCount)
        {
            this.StartIndex = index;
            this.DataItems = items;
            this.TotalItemsCount = totalItemsCount;
        }
    }
}
