﻿using System;
using System.Collections.ObjectModel;
using na2010v1.Model;

namespace na2010v1.Views.xamWebGrid.TemplateColumns
{
    public class TemplateColumnsViewModel : ViewModelBase
    {
        private ObservableCollection<ShipInfo> _items = 
            new ObservableCollection<ShipInfo>();

        public ObservableCollection<ShipInfo> Items
        {
            get 
            {
                if (this._items.Count == 0)
                {
                    this._items.Add(new ShipInfo() 
                    { 
                        Id = 1,
                        Title = "Millenium Falcon",
                        PilotName = "Han Solo",
                        ImagePath = "/images/falcon.png"
                    });

                    this._items.Add(new ShipInfo()
                    {
                        Id = 2,
                        Title = "X-Wing Fighter",
                        PilotName = "Luke Skywalker",
                        ImagePath = "/images/xwing.png"
                    });

                    this._items.Add(new ShipInfo()
                    {
                        Id = 3,
                        Title = "Tie Fighter",
                        PilotName = "Un-named Tie Pilot",
                        ImagePath = "/images/tie.png"
                    });
                    this.RaisePropertyChangedEvent("Items");
                }
                return this._items;
            }
        }
    }
}
